Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class TaxType

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.TaxType

public class TaxType extends Object

Java class for TaxType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CtgyDesc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PercentageRate" minOccurs="0"/>
             <element name="TaxblBaseAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CurrencyAndAmount`
`amt`
`protected String`
`ctgyDesc`
`protected BigDecimal`
`rate`
`protected CurrencyAndAmount`
`taxblBaseAmt`

## Constructor Summary

Constructors
Constructor
Description
`TaxType()`

## Method Summary

Modifier and Type
Method
Description
`CurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`String`
`getCtgyDesc()`
Gets the value of the ctgyDesc property.
`BigDecimal`
`getRate()`
Gets the value of the rate property.
`CurrencyAndAmount`
`getTaxblBaseAmt()`
Gets the value of the taxblBaseAmt property.
`void`
`setAmt(CurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCtgyDesc(String value)`
Sets the value of the ctgyDesc property.
`void`
`setRate(BigDecimal value)`
Sets the value of the rate property.
`void`
`setTaxblBaseAmt(CurrencyAndAmount value)`
Sets the value of the taxblBaseAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ctgyDesc

protected String ctgyDesc

### rate

protected BigDecimal rate

### taxblBaseAmt

protected CurrencyAndAmount taxblBaseAmt

### amt

protected CurrencyAndAmount amt

## Constructor Details

### TaxType

public TaxType()

## Method Details

### getCtgyDesc

public String getCtgyDesc()
Gets the value of the ctgyDesc property.

Returns:
  possible object is `String`

### setCtgyDesc

public void setCtgyDesc(String value)
Sets the value of the ctgyDesc property.

Parameters:
  `value` - allowed object is `String`

### getRate

public BigDecimal getRate()
Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

### setRate

public void setRate(BigDecimal value)
Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getTaxblBaseAmt

public CurrencyAndAmount getTaxblBaseAmt()
Gets the value of the taxblBaseAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setTaxblBaseAmt

public void setTaxblBaseAmt(CurrencyAndAmount value)
Sets the value of the taxblBaseAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getAmt

public CurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `CurrencyAndAmount`

### setAmt

public void setAmt(CurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`